/* Copyright 2013-2015 NuoDB, Inc. All rights reserved */
#pragma once

namespace NuoDB
{

/*
 * Not yet implemented...
 */
class Savepoint
{
protected:
    virtual ~Savepoint() {}

public:
    /**
     * @brief   Increment the reference count for this object
     */
    virtual void    addRef() = 0;

    /**
     * @brief   Decrement the reference count for this object and if the 
     *          reference count is 0, delete the object
     *
     * @return  the reference count for this object; 0 if the object was deleted
     */
    virtual int     release() = 0;

public:
    virtual int         getSavepointId() = 0;
    virtual const char* getSavepointName() = 0;
};
}
