/* Copyright 2015 NuoDB, Inc. All Rights Reserved. */
#ifndef _NUODB_STRUCTS_H_
#define _NUODB_STRUCTS_H_ 1

/**
 * @file structs.h
 *
 * @brief structs and typedefs.
 */

/* c-driver */
#ifdef __cplusplus
extern "C" {
#endif

struct _NuoDB_Connection_state;
typedef struct _NuoDB_Connection_state _NuoDB_Connection_state_t;

struct NuoDB_Connection;
typedef struct NuoDB_Connection NuoDB_Connection;

struct NuoDB_EngineHandle;
typedef struct NuoDB_EngineHandle NuoDB_EngineHandle;

struct _NuoDB_DatabaseMetaData_state;
typedef struct _NuoDB_DatabaseMetaData_state _NuoDB_DatabaseMetaData_state_t;

struct NuoDB_DatabaseMetaData;
typedef struct NuoDB_DatabaseMetaData NuoDB_DatabaseMetaData;

struct _NuoDB_Error_state;
typedef struct _NuoDB_Error_state _NuoDB_Error_state_t;

struct NuoDB_Error;
typedef struct NuoDB_Error NuoDB_Error;

struct _NuoDB_Lob_state;
typedef struct _NuoDB_Lob_state _NuoDB_Lob_state_t;

struct NuoDB_Lob;
typedef struct NuoDB_Lob NuoDB_Lob;

struct _NuoDB_ResultSet_state;
typedef struct _NuoDB_ResultSet_state _NuoDB_ResultSet_state_t;

struct NuoDB_ResultSet;
typedef struct NuoDB_ResultSet NuoDB_ResultSet;

struct _NuoDB_Statement_state;
typedef struct _NuoDB_Statement_state _NuoDB_Statement_state_t;

struct NuoDB_Statement;
typedef struct NuoDB_Statement NuoDB_Statement;

struct NuoDB_Timezone;
typedef struct NuoDB_Timezone NuoDB_Timezone;

struct NuoDB_Temporal;
typedef struct NuoDB_Temporal NuoDB_Temporal;

struct _NuoDB_ResultSetMetaData_state;
typedef struct _NuoDB_ResultSetMetaData_state _NuoDB_ResultSetMetaData_state_t;

struct NuoDB_ResultSetMetaData;
typedef struct NuoDB_ResultSetMetaData NuoDB_ResultSetMetaData;

struct _NuoDB_Options_state;
typedef struct _NuoDB_Options_state _NuoDB_Options_state_t;

struct  NuoDB_Options;
typedef struct NuoDB_Options NuoDB_Options;

struct NuoDB_BatchResult;
typedef struct NuoDB_BatchResult NuoDB_BatchResult;

#ifdef __cplusplus
} /* extern "C" { */
#endif

#endif /* end of #ifndef _NUODB_STRUCTS_H_ */
